#[ -d /kmapp/etc ] || mkdir -p /kmapp/etc

export LD_LIBRARY_PATH="/kmrun/lib/"
echo "nameserver 127.0.0.1" > /etc/resolv.conf
cd /kmapp

[ -d /var/run ] || mkdir -p /var/run
[ -d /usr/share/udhcpc] || mkdir -p /usr/share/udhcpc
cp -f ./default.script /usr/share/udhcpc/default.script

ifconfig eth0 down
./getMac > /etc_ro/eth2_mac
eth2_mac=$(cat /etc_ro/eth2_mac)
echo $eth2_mac
ifconfig eth2 hw ether $eth2_mac

dnsmasq&
telnetd&

insmod ./ko/key_gpio.ko

if [ "$char" == "n" ];then
    echo "Don't run program!"
    exit
fi
if [ -x /kmapp/etc/test.sh ];then
	/kmapp/etc/test.sh &
else
	mkdir -p /kmrun
	cp /kmapp/lib /kmrun/lib -rf
	cp /kmapp/microprint /kmrun/microprint
	/kmrun/microprint &
fi

